Saturday, July 18, 2009

Mozilla Firefox 3.5.1

. Saturday, July 18, 2009

Mozilla Corporation released the newest Firefox (version 3.5.1). This version comes to improve the previous version 3.5 0r 2.0. So if you like browsing with Firefox let's immediately update your firefox. This version available for Windows, Mac, and Linux users as a free download. Please go to www.firefox.com

Mozilla Firefox – Faster, more secure, easier, good stability to use and sporting a new look, this latest Firefox release sets a new standard for web browser innovation. Mozilla Firefox project is a redesign of Mozilla’s browser component. This version offers many advantages over other web browsers, such as the tabbed browsing and the ability to block pop-up windows,and supported many local languages.


What’s New in Firefox 3.5.1:

1. Added six languages in this release, total up to 70 languages.
2. Added Private Browsing Mode to control the personal data
3. Improve the performance, security and stability 
4. Support for JSON original, and web worker threads
5. Provides the ability to know the location using standard Web Browsing geolocation 
6. Improvements to the Gecko layout engine, including the speculative parsing to make the content more quickly
7. Support for new web technologies such as HTML5 and elements, downloads and other new font properties CSS, JavaScript query selectors, HTML5 offline for data applications, and SVG transforms.

System Requirements
1. Windows O.S
Operating Systems: Windows 2000, Windows Server 2003, XP, Vista
Minimum Hardware:
Pentium 233 MHz (Recommended: Pentium 500MHz or greater)
64 MB RAM (Recommended: 128 MB RAM or greater)
52 MB hard drive space

2. MacOS
Mac OS X 10.4 and later
Minimum Hardware:
Macintosh computer with an Intel x86 or PowerPC G3, G4, or G5 processor
128 MB RAM (Recommended: 256 MB RAM or greater)
200 MB hard drive space

3. Linux OS
Software Requirements
Linux distributors may provide packages for your distribution which have different requirements. 
Firefox will not run at all without the following libraries or packages: GTK+ 2.10 or higher
GLib 2.12 or higher
Pango 1.14 or higher
X.Org 1.0 or higher
GTK+ 2.10 or higher
GLib 2.12 or higher
Pango 1.14 or higher
X.Org 1.0 or higher

For optimal functionality, the following libraries or packages are recommended: 
NetworkManager 0.7 or higher
DBus 1.0 or higher
HAL 0.5.8 or higher
GNOME 2.16 or higher

Please visit to http://www.mozilla.com or visit their blog http://blog.mozilla.com



0 comments:

:)) ;)) ;;) :D ;) :p :(( :) :( :X =(( :-o :-/ :-* :| 8-} :)] ~x( :-t b-( :-L x( =))

Post a Comment

 
boyzmind is proudly powered by Blogger.com | Template by Agus Ramadhani | o-om.com